Summary:	A project manager
Name:		ToutDoux
Version:	1.2.5
Release:	1mdk
License:	GPL
Group:		Office

Source0:	%name-%version.tar.bz2

URL:		http://toutdoux.sourceforge.net/
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires:	libxml-devel

%description
ToutDoux is a project manager which permits management with different views
(based on plugins).  For example, you can design a plan of action using a
tree structure.

%package devel
Group: Development/Other
Summary: ToutDoux devel files

%description devel
ToutDoux is a project manager which permits management with different views
(based on plugins).  For example, you can design a plan of action using a
tree structure.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
touch `find . -type f`

%build
./configure --mandir=%_mandir --datadir=%_datadir --disable-rpath
#--disable-rpath

%make

%install
%makeinstall

# Dadou - 1.2.3-2mdk - Put documentation in right directory
install -d %buildroot/%_docdir/%name-%version
cp $RPM_BUILD_DIR/%name-%version/AUTHORS %buildroot/%_docdir/%name-%version
cp $RPM_BUILD_DIR/%name-%version/COPYING %buildroot/%_docdir/%name-%version
cp $RPM_BUILD_DIR/%name-%version/ChangeLog %buildroot/%_docdir/%name-%version
cp $RPM_BUILD_DIR/%name-%version/NEWS %buildroot/%_docdir/%name-%version
cp $RPM_BUILD_DIR/%name-%version/README %buildroot/%_docdir/%name-%version

install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}):\
command="toutdoux"\
title="ToutDoux"\
longtitle="A project manager"\
needs="x11"\
section="Office"
EOF
 
%post
/sbin/ldconfig
%update_menus
 
%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr (-,root,root,-)
%doc %_docdir/%name-%version
%_bindir/*
%_includedir/*
%_menudir/*
%_libdir/libtoutdoux.*so*
%dir %_libdir/toutdoux
%_libdir/toutdoux/plugins/*so*
%_datadir/gnome/apps/Applications/*
%lang(de) %_datadir/locale/de/LC_MESSAGES/*
%lang(fr) %_datadir/locale/fr/LC_MESSAGES/*
%_datadir/mc/templates/*
%_datadir/mime-info/*
%_datadir/pixmaps/*.png
%_datadir/pixmaps/toutdoux/*
%_datadir/pixmaps/mc/*
%dir %_datadir/toutdoux
%_datadir/toutdoux/*

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/toutdoux/plugins/*.a
%_libdir/*.a


%changelog
* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.5-1mdk
- updated to 1.2.5
- added devel package

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.3-2mdk
- BuildRequires: libxml-devel
- Fix %%doc
- Fix %%postun
- Clean %%files section
- Spec clean up

* Fri Oct 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- new in contribs
